pcl::PointIndices Struct Reference

`#include <pcl/PointIndices.h>`

## Public Types

typedef boost::shared_ptr< ::pcl::PointIndices > | Ptr
typedef boost::shared_ptr< ::pcl::PointIndices const > | ConstPtr

## Public Member Functions

| PointIndices ()

## Public Attributes

::pcl::PCLHeader | header
std::vector< int > | indices

## Detailed Description

Definition at line 12 of file PointIndices.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr< ::pcl::PointIndices const> pcl::PointIndices::ConstPtr

Definition at line 23 of file PointIndices.h.

## Ptr

typedef boost::shared_ptr< ::pcl::PointIndices> pcl::PointIndices::Ptr

Definition at line 22 of file PointIndices.h.

## Constructor & Destructor Documentation

## PointIndices()

pcl::PointIndices::PointIndices | ( |  | ) |

inline

Definition at line 14 of file PointIndices.h.

## Member Data Documentation

## header

::pcl::PCLHeader pcl::PointIndices::header

Definition at line 17 of file PointIndices.h.

Referenced by pcl::CVFHEstimation< PointInT, PointNT, PointOutT >::compute(), pcl::OURCVFHEstimation< PointInT, PointNT, PointOutT >::compute(), pcl::gpu::extractEuclideanClusters(), pcl::extractEuclideanClusters(), pcl::gpu::extractLabeledEuclideanClusters(), pcl::extractLabeledEuclideanClusters(), pcl::ExtractPolygonalPrismData< PointT >::segment(), pcl::ConditionalEuclideanClustering< PointT >::segment(), and pcl::SACSegmentation< PointT >::segment().

## indices

std::vector<int> pcl::PointIndices::indices

Definition at line 19 of file PointIndices.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::compareLabeledPointClusters(), pcl::compareLabeledPointClusters(), pcl::gpu::comparePointClusters(), pcl::comparePointClusters(), pcl::people::HeightMap2D< PointT >::compute(), pcl::CVFHEstimation< PointInT, PointNT, PointOutT >::compute(), pcl::OURCVFHEstimation< PointInT, PointNT, PointOutT >::compute(), pcl::compute3DCentroid(), pcl::computeCovarianceMatrix(), pcl::computeCovarianceMatrixNormalized(), pcl::computeMeanAndCovarianceMatrix(), pcl::MovingLeastSquares< PointInT, PointOutT >::computeMLSPointNormal(), pcl::computeNDCentroid(), pcl::copyPointCloud(), pcl::people::HeadBasedSubclustering< PointT >::createSubClusters(), pcl::demeanPointCloud(), pcl::gpu::extractEuclideanClusters(), pcl::extractEuclideanClusters(), pcl::gpu::extractLabeledEuclideanClusters(), pcl::extractLabeledEuclideanClusters(), pcl::OrganizedConnectedComponentSegmentation< PointT, PointLT >::findLabeledRegionBoundary(), pcl::gpu::SeededHueSegmentation::getClassName(), pcl::getMinMax3D(), pcl::Filter< pcl::PointXYZRGBL >::getRemovedIndices(), pcl::Filter< pcl::PCLPointCloud2 >::getRemovedIndices(), pcl::RegionGrowingRGB< PointT, NormalT >::getSegmentFromPoint(), pcl::RegionGrowing< PointT, NormalT >::getSegmentFromPoint(), pcl::people::PersonCluster< PointT >::init(), pcl::people::HeadBasedSubclustering< PointT >::mergeClustersCloseInFloorCoordinates(), pcl::gpu::people::operator<<(), pcl::seededHueSegmentation(), pcl::SeededHueSegmentation::segment(), pcl::ExtractPolygonalPrismData< PointT >::segment(), pcl::ConditionalEuclideanClustering< PointT >::segment(), pcl::SACSegmentation< PointT >::segment(), pcl::OURCVFHEstimation< PointInT, PointNT, PointOutT >::sgurf(), pcl::transformPointCloud(), and pcl::transformPointCloudWithNormals().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/PointIndices.h